<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CertifiedSender/test/MockMessageStorage.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_cf27311ab9f4263eef70b28364b95692.html">CertifiedSender</a></li><li class="navelem"><a class="el" href="dir_be5a11bd5c2a763fc71cf92655c6a690.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MockMessageStorage.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_mock_message_storage_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CERTIFIEDSENDER_TEST_MOCKMESSAGESTORAGE_H_</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CERTIFIEDSENDER_TEST_MOCKMESSAGESTORAGE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;gmock/gmock.h&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_storage_interface_8h.html">CertifiedSender/MessageStorageInterface.h</a>&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span>certifiedSender {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">class </span>MockMessageStorage : <span class="keyword">public</span> MessageStorageInterface {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a1d39c848de60f06e876e0b29fc505ac6">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">createDatabase</a>, <span class="keywordtype">bool</span>());</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a1d39c848de60f06e876e0b29fc505ac6">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">open</a>, <span class="keywordtype">bool</span>());</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a1d39c848de60f06e876e0b29fc505ac6">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">close</a>, <span class="keywordtype">void</span>());</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a7f6cf3d2f59f4fb0fb03a3dc8efe8103">MOCK_METHOD2</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">store</a>, <span class="keywordtype">bool</span>(<span class="keyword">const</span> std::string&amp; message, <span class="keywordtype">int</span>* <span class="keywordtype">id</span>));</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#aea69eb8e2d86596434b7b8670c08c34b">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">load</a>, <span class="keywordtype">bool</span>(std::queue&lt;StoredMessage&gt;* messageContainer));</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#aea69eb8e2d86596434b7b8670c08c34b">MOCK_METHOD1</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">erase</a>, <span class="keywordtype">bool</span>(<span class="keywordtype">int</span> messageId));</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a1d39c848de60f06e876e0b29fc505ac6">MOCK_METHOD0</a>(<a class="code" href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">clearDatabase</a>, <span class="keywordtype">bool</span>());</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;};</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;}  <span class="comment">// namespace certifiedSender</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CERTIFIEDSENDER_TEST_MOCKMESSAGESTORAGE_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_a770eca510a5c854d69f445ed65148def"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a770eca510a5c854d69f445ed65148def">alexaClientSDK::certifiedSender::MessageStorageInterface::close</a></div><div class="ttdeci">virtual void close()=0</div></div>
<div class="ttc" id="_message_storage_interface_8h_html"><div class="ttname"><a href="_message_storage_interface_8h.html">MessageStorageInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_ad30f520cabee0ec267f3587e5c6049c1"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ad30f520cabee0ec267f3587e5c6049c1">alexaClientSDK::certifiedSender::MessageStorageInterface::load</a></div><div class="ttdeci">virtual bool load(std::queue&lt; StoredMessage &gt; *messageContainer)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage_html_a1d39c848de60f06e876e0b29fc505ac6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a1d39c848de60f06e876e0b29fc505ac6">alexaClientSDK::certifiedSender::test::MockMessageStorage::MOCK_METHOD0</a></div><div class="ttdeci">MOCK_METHOD0(createDatabase, bool())</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage_html_a7f6cf3d2f59f4fb0fb03a3dc8efe8103"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#a7f6cf3d2f59f4fb0fb03a3dc8efe8103">alexaClientSDK::certifiedSender::test::MockMessageStorage::MOCK_METHOD2</a></div><div class="ttdeci">MOCK_METHOD2(store, bool(const std::string &amp;message, int *id))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_ae316419688e35565148312b7f793891d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#ae316419688e35565148312b7f793891d">alexaClientSDK::certifiedSender::MessageStorageInterface::store</a></div><div class="ttdeci">virtual bool store(const std::string &amp;message, int *id)=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_a68bd3e2439c47ee2dc6079b74113aaf6"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a68bd3e2439c47ee2dc6079b74113aaf6">alexaClientSDK::certifiedSender::MessageStorageInterface::erase</a></div><div class="ttdeci">virtual bool erase(int messageId)=0</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_a728b2f59806c08d5cf286032ce030dab"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a728b2f59806c08d5cf286032ce030dab">alexaClientSDK::certifiedSender::MessageStorageInterface::clearDatabase</a></div><div class="ttdeci">virtual bool clearDatabase()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_a69f5888e39921094136eb82e8c422b2d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a69f5888e39921094136eb82e8c422b2d">alexaClientSDK::certifiedSender::MessageStorageInterface::open</a></div><div class="ttdeci">virtual bool open()=0</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage_html_aea69eb8e2d86596434b7b8670c08c34b"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1test_1_1_mock_message_storage.html#aea69eb8e2d86596434b7b8670c08c34b">alexaClientSDK::certifiedSender::test::MockMessageStorage::MOCK_METHOD1</a></div><div class="ttdeci">MOCK_METHOD1(load, bool(std::queue&lt; StoredMessage &gt; *messageContainer))</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface_html_a83ad426fad42db7e0ffd7ff164d50744"><div class="ttname"><a href="classalexa_client_s_d_k_1_1certified_sender_1_1_message_storage_interface.html#a83ad426fad42db7e0ffd7ff164d50744">alexaClientSDK::certifiedSender::MessageStorageInterface::createDatabase</a></div><div class="ttdeci">virtual bool createDatabase()=0</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
